kearney

自学还没成才的python猿

  博客园  :: 首页  :: 新随笔  :: 联系 :: 订阅 订阅  :: 管理
  50 Posts :: 0 Stories :: 3 Comments :: 0 Trackbacks

http://blog.csdn.net/cs123951/article/details/52618873

 

win10 64位python3.4 

使用pip install scrapy安装scrapy的时候出现错误

error: Microsoft Visual C++ 10.0 is required. Get it with "Microsoft Windows SDK 7.1": www.microsoft.com/download/details.aspx?id=8279


下载了SDK7.1也没用

因此从http://www.lfd.uci.edu/~gohlke/pythonlibs/下载scrapy的两个依赖库lxml和twisted

分别安装:

pip install Twisted-16.4.1-cp34-cp34m-win_amd64.whl

pip install lxml-3.6.4-cp34-cp34m-win_amd64.whl

最后安装scrapy:

pip install scrapy

成功!


第一次运行scrapy项目,参照

英文版:http://doc.scrapy.org/en/latest/intro/tutorial.html#creating-a-project

中文版:http://scrapy-chs.readthedocs.io/zh_CN/latest/intro/tutorial.html


由于python3会发生错误——ImportError: No module named 'win32api'

到https://sourceforge.net/projects/pywin32/files/pywin32/Build%20220/下载pywin

posted on 2017-11-01 19:40 Gino森 阅读(...) 评论(...) 编辑 收藏